=== src/packages/linux/debian/control ===
Source: vacuum
Section: net
Priority: optional
Maintainer: Sergey A Potapov <potapov.s.a@gmail.com>
Build-Depends: cmake, debhelper (>= 7.0.50~), openssl, libqtwebkit-dev | libqt4-dev, libx11-dev, zlib1g-dev, libidn11-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/vacuum-im/

Package: vacuum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nas
Description: Jabber client using Qt
 Vacuum is a free instant messaging application designed for the Jabber
 (XMPP) IM network (including Google Talk). It has full Unicode support, 
 and supports most important XMPP features.

Package: vacuum-dev
Architecture: all
Depends: ${misc:Depends}, vacuum
Description: Development files for Vacuum
 This package contains Vacuum include files you need if you
 want to develop plugins for Vacuum.
